/honeypot (by Dex & LP)

Quick Intel Security API /honeypot/{dex}/{token}/{lptoken} returns the honeypot and taxes information for a given dex + contract + LP token.

circle-check
circle-exclamation

Get Honeypot by Specific DEX

get

Returns the honeypot/taxes information for a given dex + contract + LP token.

Authorizations
X-QKNTL-KEYstringRequired
Path parameters
dexstringRequired

The ID of the dex where the liquidity resides. For a list of supported dexes and their IDs, please visit https://docs.quickintel.io/developers/api-supported-chains

Example: sushiswaparb
tokenstringRequired

The contract address of the token to be audited.

Example: 0x6d038130b9b379a373b1d33a29d5904ed1bb9026
lptokenstringRequired

The liquidity pairing address for the token (or use default).

Example: default
Responses
chevron-right
200

Successful request and response.

application/json
isHoneypotbooleanOptional

Indicates if the contract is a honeypot.

Example: false
buyFeestringOptional

Returns the current buy tax.

Example: 1
sellFeestringOptional

Returns the current sell tax.

Example: 1
transferFeestringOptional

Returns the current transfer tax.

Example: 0
tradingCooldownbooleanOptional

Indicates if the contract has a trading cooldown between buy and sell transactions for wallets.

Example: true
postCooldownFeestringOptional

Returns the sell tax in the case the contract has a trading cooldown.

Example: 1
buyGasstringOptional

Returns the gas used for the buy.

Example: 1
sellGasstringOptional

Returns the gas used for the sell.

Example: 1
maxTokenTransactionnumberOptional

The maximum tokens allowed in a single transaction.

Example: 10000000
maxTokenTransactionPercentstringOptional

The maximum percentage of tokens allowed in a single transaction.

Example: null
maxTokenTransactionMainnumberOptional

The maximum tokens a single wallet is allowed to move in a single transaction.

Example: 20000000
maxWalletnumberOptional

The maximum tokens a single wallet is allowed to contain.

Example: 20000000
maxWalletPercentstringOptional

The maximum percentage of tokens a single wallet is allowed to contain.

Example: 2
tokenNamestringOptional

The name of the contract

Example: Sample Token
tokenSymbolstringOptional

The symbol of the contract/token.

Example: SMPLTKN
tokenDecimalsstringOptional

The number of decimal places the contract uses.

Example: 18
tokenOwnerstringOptional

The current token owner's address.

Example: 0x0000000000000000000000000000000000000000
tokenSupplynumberOptional

The total token supply.

Example: 1000000000
tokenBurnednumberOptional

The amount of supply that has been burned.

Example: 100000
mainTokenSymbolstringOptional

The token symbol of the LP

Example: SLP
lpPairstringOptional

The liquidity pairing address for the token. Note that depending on which endpoint you use, you will receive either the first LP found or a list of all LPs.

Example: 0x8616B44b734817a2C954016A57CF2c4D72D6f839
lpSupplynumberOptional

The liquidity pairing supply for the token.

Example: 34782.40093
lpBurnedPercentstringOptional

The percent of the LP that is burned.

Example: 99.94
priceImpactstringOptional

Returns the price impact of the transaction.

Example: 0.1
problembooleanOptional

Indicates if there was a problem with the test buy/sell.

Example: true
extrastringOptional

Lists the description of the issue if problem = true.

Example: Liquidity low or problem with the purchase!
get
/honeypot/{dex}/{token}/{lptoken}

Last updated